## org.eclipse.jst.ws.jaxws.dom.runtime
Interface INamedExtensionInfo

    public interface INamedExtensionInfo

Interface representig and extention.

Method Summary
`java.lang.String` `getId()` The unique ID to identify this consumer type when calling the `ProxyGeneratorFactory`, e.g.
`java.lang.String` `getName()` A verbose name for the type of consumer, e.g.

Method Detail

### getId

    java.lang.String getId()

  The unique ID to identify this consumer type when calling the `ProxyGeneratorFactory`, e.g. `jee/jaxws`

  Returns:
    non-empty string containing the ID

### getName

    java.lang.String getName()

  A verbose name for the type of consumer, e.g. `JAX-WS`

  Returns:
    localized string used for the UI